1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getVmAntiAffinityPoliciesV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    List VM-VM Anti-Affinity policies details with support for pagination, filtering, and sorting.

    Example

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    // List all VM-VM Anti-Affinity policies
    const allPolicies = nutanix.getVmAntiAffinityPoliciesV2({});
    // List with pagination
    const paginatedPolicies = nutanix.getVmAntiAffinityPoliciesV2({
        page: 0,
        limit: 10,
    });
    // List with filtering
    const filteredPolicies = nutanix.getVmAntiAffinityPoliciesV2({
        filter: "name eq 'my-policy'",
    });
    // List with ordering
    const sortedPolicies = nutanix.getVmAntiAffinityPoliciesV2({
        orderBy: "name asc",
    });
    // List with multiple filters
    const complexPolicies = nutanix.getVmAntiAffinityPoliciesV2({
        filter: "startswith(name, 'ha-')",
        orderBy: "create_time desc",
        page: 0,
        limit: 20,
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    # List all VM-VM Anti-Affinity policies
    all_policies = nutanix.get_vm_anti_affinity_policies_v2()
    # List with pagination
    paginated_policies = nutanix.get_vm_anti_affinity_policies_v2(page=0,
        limit=10)
    # List with filtering
    filtered_policies = nutanix.get_vm_anti_affinity_policies_v2(filter="name eq 'my-policy'")
    # List with ordering
    sorted_policies = nutanix.get_vm_anti_affinity_policies_v2(order_by="name asc")
    # List with multiple filters
    complex_policies = nutanix.get_vm_anti_affinity_policies_v2(filter="startswith(name, 'ha-')",
        order_by="create_time desc",
        page=0,
        limit=20)
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		// List all VM-VM Anti-Affinity policies
    		_, err := nutanix.GetVmAntiAffinityPoliciesV2(ctx, &nutanix.GetVmAntiAffinityPoliciesV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		// List with pagination
    		_, err = nutanix.GetVmAntiAffinityPoliciesV2(ctx, &nutanix.GetVmAntiAffinityPoliciesV2Args{
    			Page:  pulumi.IntRef(0),
    			Limit: pulumi.IntRef(10),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List with filtering
    		_, err = nutanix.GetVmAntiAffinityPoliciesV2(ctx, &nutanix.GetVmAntiAffinityPoliciesV2Args{
    			Filter: pulumi.StringRef("name eq 'my-policy'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List with ordering
    		_, err = nutanix.GetVmAntiAffinityPoliciesV2(ctx, &nutanix.GetVmAntiAffinityPoliciesV2Args{
    			OrderBy: pulumi.StringRef("name asc"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List with multiple filters
    		_, err = nutanix.GetVmAntiAffinityPoliciesV2(ctx, &nutanix.GetVmAntiAffinityPoliciesV2Args{
    			Filter:  pulumi.StringRef("startswith(name, 'ha-')"),
    			OrderBy: pulumi.StringRef("create_time desc"),
    			Page:    pulumi.IntRef(0),
    			Limit:   pulumi.IntRef(20),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        // List all VM-VM Anti-Affinity policies
        var allPolicies = Nutanix.GetVmAntiAffinityPoliciesV2.Invoke();
    
        // List with pagination
        var paginatedPolicies = Nutanix.GetVmAntiAffinityPoliciesV2.Invoke(new()
        {
            Page = 0,
            Limit = 10,
        });
    
        // List with filtering
        var filteredPolicies = Nutanix.GetVmAntiAffinityPoliciesV2.Invoke(new()
        {
            Filter = "name eq 'my-policy'",
        });
    
        // List with ordering
        var sortedPolicies = Nutanix.GetVmAntiAffinityPoliciesV2.Invoke(new()
        {
            OrderBy = "name asc",
        });
    
        // List with multiple filters
        var complexPolicies = Nutanix.GetVmAntiAffinityPoliciesV2.Invoke(new()
        {
            Filter = "startswith(name, 'ha-')",
            OrderBy = "create_time desc",
            Page = 0,
            Limit = 20,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetVmAntiAffinityPoliciesV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            // List all VM-VM Anti-Affinity policies
            final var allPolicies = NutanixFunctions.getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args.builder()
                .build());
    
            // List with pagination
            final var paginatedPolicies = NutanixFunctions.getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args.builder()
                .page(0)
                .limit(10)
                .build());
    
            // List with filtering
            final var filteredPolicies = NutanixFunctions.getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args.builder()
                .filter("name eq 'my-policy'")
                .build());
    
            // List with ordering
            final var sortedPolicies = NutanixFunctions.getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args.builder()
                .orderBy("name asc")
                .build());
    
            // List with multiple filters
            final var complexPolicies = NutanixFunctions.getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args.builder()
                .filter("startswith(name, 'ha-')")
                .orderBy("create_time desc")
                .page(0)
                .limit(20)
                .build());
    
        }
    }
    
    variables:
      # List all VM-VM Anti-Affinity policies
      allPolicies:
        fn::invoke:
          function: nutanix:getVmAntiAffinityPoliciesV2
          arguments: {}
      # List with pagination
      paginatedPolicies:
        fn::invoke:
          function: nutanix:getVmAntiAffinityPoliciesV2
          arguments:
            page: 0
            limit: 10
      # List with filtering
      filteredPolicies:
        fn::invoke:
          function: nutanix:getVmAntiAffinityPoliciesV2
          arguments:
            filter: name eq 'my-policy'
      # List with ordering
      sortedPolicies:
        fn::invoke:
          function: nutanix:getVmAntiAffinityPoliciesV2
          arguments:
            orderBy: name asc
      # List with multiple filters
      complexPolicies:
        fn::invoke:
          function: nutanix:getVmAntiAffinityPoliciesV2
          arguments:
            filter: startswith(name, 'ha-')
            orderBy: create_time desc
            page: 0
            limit: 20
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getvmantiaffinitypoliciesv2" "allPolicies" {
    }
    data "nutanix_getvmantiaffinitypoliciesv2" "paginatedPolicies" {
      page  = 0
      limit = 10
    }
    data "nutanix_getvmantiaffinitypoliciesv2" "filteredPolicies" {
      filter = "name eq 'my-policy'"
    }
    data "nutanix_getvmantiaffinitypoliciesv2" "sortedPolicies" {
      order_by = "name asc"
    }
    data "nutanix_getvmantiaffinitypoliciesv2" "complexPolicies" {
      filter   = "startswith(name, 'ha-')"
      order_by = "create_time desc"
      page     = 0
      limit    = 20
    }
    
    # List all VM-VM Anti-Affinity policies
    # List with pagination
    # List with filtering
    # List with ordering
    # List with multiple filters
    

    Using getVmAntiAffinityPoliciesV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getVmAntiAffinityPoliciesV2(args: GetVmAntiAffinityPoliciesV2Args, opts?: InvokeOptions): Promise<GetVmAntiAffinityPoliciesV2Result>
    function getVmAntiAffinityPoliciesV2Output(args: GetVmAntiAffinityPoliciesV2OutputArgs, opts?: InvokeOptions): Output<GetVmAntiAffinityPoliciesV2Result>
    def get_vm_anti_affinity_policies_v2(filter: Optional[str] = None,
                                         limit: Optional[int] = None,
                                         order_by: Optional[str] = None,
                                         page: Optional[int] = None,
                                         opts: Optional[InvokeOptions] = None) -> GetVmAntiAffinityPoliciesV2Result
    def get_vm_anti_affinity_policies_v2_output(filter: pulumi.Input[Optional[str]] = None,
                                         limit: pulumi.Input[Optional[int]] = None,
                                         order_by: pulumi.Input[Optional[str]] = None,
                                         page: pulumi.Input[Optional[int]] = None,
                                         opts: Optional[InvokeOptions] = None) -> Output[GetVmAntiAffinityPoliciesV2Result]
    func GetVmAntiAffinityPoliciesV2(ctx *Context, args *GetVmAntiAffinityPoliciesV2Args, opts ...InvokeOption) (*GetVmAntiAffinityPoliciesV2Result, error)
    func GetVmAntiAffinityPoliciesV2Output(ctx *Context, args *GetVmAntiAffinityPoliciesV2OutputArgs, opts ...InvokeOption) GetVmAntiAffinityPoliciesV2ResultOutput

    > Note: This function is named GetVmAntiAffinityPoliciesV2 in the Go SDK.

    public static class GetVmAntiAffinityPoliciesV2 
    {
        public static Task<GetVmAntiAffinityPoliciesV2Result> InvokeAsync(GetVmAntiAffinityPoliciesV2Args args, InvokeOptions? opts = null)
        public static Output<GetVmAntiAffinityPoliciesV2Result> Invoke(GetVmAntiAffinityPoliciesV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetVmAntiAffinityPoliciesV2Result> getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args args, InvokeOptions options)
    public static Output<GetVmAntiAffinityPoliciesV2Result> getVmAntiAffinityPoliciesV2(GetVmAntiAffinityPoliciesV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getVmAntiAffinityPoliciesV2:getVmAntiAffinityPoliciesV2
      arguments:
        # arguments dictionary
    data "nutanix_getvmantiaffinitypoliciesv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. For example, $filter=name eq 'my-policy' would filter the result on policy name 'my-policy', $filter=startswith(name, 'ha-') would filter on policy names starting with 'ha-'. The filter can be applied to the following fields:
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, name asc would sort policies by name in ascending order, updateTime desc would sort by update time in descending order. The orderBy can be applied to the following fields:
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.

    getVmAntiAffinityPoliciesV2 Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    Policies List<PiersKarsenbarg.Nutanix.Outputs.GetVmAntiAffinityPoliciesV2Policy>
    List of all VM-VM Anti-Affinity policies
    Filter string
    Limit int
    OrderBy string
    Page int
    Id string
    The provider-assigned unique ID for this managed resource.
    Policies []GetVmAntiAffinityPoliciesV2Policy
    List of all VM-VM Anti-Affinity policies
    Filter string
    Limit int
    OrderBy string
    Page int
    id string
    The provider-assigned unique ID for this managed resource.
    policies list(object)
    List of all VM-VM Anti-Affinity policies
    filter string
    limit number
    order_by string
    page number
    id String
    The provider-assigned unique ID for this managed resource.
    policies List<GetVmAntiAffinityPoliciesV2Policy>
    List of all VM-VM Anti-Affinity policies
    filter String
    limit Integer
    orderBy String
    page Integer
    id string
    The provider-assigned unique ID for this managed resource.
    policies GetVmAntiAffinityPoliciesV2Policy[]
    List of all VM-VM Anti-Affinity policies
    filter string
    limit number
    orderBy string
    page number
    id str
    The provider-assigned unique ID for this managed resource.
    policies Sequence[GetVmAntiAffinityPoliciesV2Policy]
    List of all VM-VM Anti-Affinity policies
    filter str
    limit int
    order_by str
    page int
    id String
    The provider-assigned unique ID for this managed resource.
    policies List<Property Map>
    List of all VM-VM Anti-Affinity policies
    filter String
    limit Number
    orderBy String
    page Number

    Supporting Types

    GetVmAntiAffinityPoliciesV2Policy

    Categories List<string>
    List of VM category external IDs that this policy applies to.
    CreateTime string
    The timestamp when the policy was created.
    CreatedBy Dictionary<string, string>
    Information about the entity that created the policy.
    Description string
    A description of the VM-VM Anti-Affinity policy.
    ExtId string
    The external identifier of the VM-VM Anti-Affinity policy.
    Name string
    The name of the VM-VM Anti-Affinity policy.
    NumCompliantVms int
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    NumNonCompliantVms int
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    NumPendingVms int
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    UpdateTime string
    The timestamp when the policy was last updated.
    UpdatedBy Dictionary<string, string>
    Information about the entity that last updated the policy.
    Categories []string
    List of VM category external IDs that this policy applies to.
    CreateTime string
    The timestamp when the policy was created.
    CreatedBy map[string]string
    Information about the entity that created the policy.
    Description string
    A description of the VM-VM Anti-Affinity policy.
    ExtId string
    The external identifier of the VM-VM Anti-Affinity policy.
    Name string
    The name of the VM-VM Anti-Affinity policy.
    NumCompliantVms int
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    NumNonCompliantVms int
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    NumPendingVms int
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    UpdateTime string
    The timestamp when the policy was last updated.
    UpdatedBy map[string]string
    Information about the entity that last updated the policy.
    categories list(string)
    List of VM category external IDs that this policy applies to.
    create_time string
    The timestamp when the policy was created.
    created_by map(string)
    Information about the entity that created the policy.
    description string
    A description of the VM-VM Anti-Affinity policy.
    ext_id string
    The external identifier of the VM-VM Anti-Affinity policy.
    name string
    The name of the VM-VM Anti-Affinity policy.
    num_compliant_vms number
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    num_non_compliant_vms number
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    num_pending_vms number
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    update_time string
    The timestamp when the policy was last updated.
    updated_by map(string)
    Information about the entity that last updated the policy.
    categories List<String>
    List of VM category external IDs that this policy applies to.
    createTime String
    The timestamp when the policy was created.
    createdBy Map<String,String>
    Information about the entity that created the policy.
    description String
    A description of the VM-VM Anti-Affinity policy.
    extId String
    The external identifier of the VM-VM Anti-Affinity policy.
    name String
    The name of the VM-VM Anti-Affinity policy.
    numCompliantVms Integer
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    numNonCompliantVms Integer
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    numPendingVms Integer
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    updateTime String
    The timestamp when the policy was last updated.
    updatedBy Map<String,String>
    Information about the entity that last updated the policy.
    categories string[]
    List of VM category external IDs that this policy applies to.
    createTime string
    The timestamp when the policy was created.
    createdBy {[key: string]: string}
    Information about the entity that created the policy.
    description string
    A description of the VM-VM Anti-Affinity policy.
    extId string
    The external identifier of the VM-VM Anti-Affinity policy.
    name string
    The name of the VM-VM Anti-Affinity policy.
    numCompliantVms number
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    numNonCompliantVms number
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    numPendingVms number
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    updateTime string
    The timestamp when the policy was last updated.
    updatedBy {[key: string]: string}
    Information about the entity that last updated the policy.
    categories Sequence[str]
    List of VM category external IDs that this policy applies to.
    create_time str
    The timestamp when the policy was created.
    created_by Mapping[str, str]
    Information about the entity that created the policy.
    description str
    A description of the VM-VM Anti-Affinity policy.
    ext_id str
    The external identifier of the VM-VM Anti-Affinity policy.
    name str
    The name of the VM-VM Anti-Affinity policy.
    num_compliant_vms int
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    num_non_compliant_vms int
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    num_pending_vms int
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    update_time str
    The timestamp when the policy was last updated.
    updated_by Mapping[str, str]
    Information about the entity that last updated the policy.
    categories List<String>
    List of VM category external IDs that this policy applies to.
    createTime String
    The timestamp when the policy was created.
    createdBy Map<String>
    Information about the entity that created the policy.
    description String
    A description of the VM-VM Anti-Affinity policy.
    extId String
    The external identifier of the VM-VM Anti-Affinity policy.
    name String
    The name of the VM-VM Anti-Affinity policy.
    numCompliantVms Number
    Number of compliant VMs which are part of the VM-VM anti-affinity policy.
    numNonCompliantVms Number
    Number of non-compliant VMs which are part of the VM-VM anti-affinity policy.
    numPendingVms Number
    Number of VMs with compliance state as pending, which are part of the VM-VM anti-affinity policy.
    updateTime String
    The timestamp when the policy was last updated.
    updatedBy Map<String>
    Information about the entity that last updated the policy.

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.16.0
    published on Tuesday, May 26, 2026 by Piers Karsenbarg

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial